View Issue Details

IDProjectCategoryView StatusLast Update
0003128FreeCADFeaturepublic2017-08-13 15:14
ReporterwmayerAssigned Toeivindkvedalen 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.17 
Summary0003128: Modulo in expression doesn't support units
Descriptionhttps://forum.freecadweb.org/viewtopic.php?f=10&t=23453
Tagsspreadsheet, units

Activities

Kunda1

2017-07-18 11:28

administrator   ~0009769

FreeCAD Pull Request 884

Kunda1

2017-07-18 15:02

administrator   ~0009771

merged in FreeCAD master 382ad283

Kunda1

2017-08-13 15:14

administrator   ~0009896

Closing

Related Changesets

FreeCAD: master 72dd6dfd

2017-07-13 05:14:40

Eivind Kvedalen

Details Diff
Expressions: Fixed issue 0003128; mod(x;y) should support arbitrary units for both arguments. Affected Issues
0003128
mod - src/App/Expression.cpp Diff File
mod - src/Mod/Spreadsheet/TestSpreadsheet.py Diff File

FreeCAD: master 382ad283

2017-07-18 08:41:42

yorik


Committer: GitHub Details Diff
Merge pull request 0000884 from eivindkv/Fix_issue_3128

Expressions: Fixed issue 0003128; mod(x;y) should support arbitrary uniā€¦
Affected Issues
0003128
mod - src/App/Expression.cpp Diff File
mod - src/Mod/Spreadsheet/TestSpreadsheet.py Diff File

Issue History

Date Modified Username Field Change
2017-07-16 08:13 wmayer New Issue
2017-07-16 08:13 wmayer Status new => assigned
2017-07-16 08:13 wmayer Assigned To => eivindkvedalen
2017-07-16 11:22 Kunda1 Tag Attached: spreadsheet
2017-07-16 11:22 Kunda1 Tag Attached: units
2017-07-18 11:28 Kunda1 Note Added: 0009769
2017-07-18 15:02 Kunda1 Status assigned => resolved
2017-07-18 15:02 Kunda1 Resolution open => fixed
2017-07-18 15:02 Kunda1 Fixed in Version => 0.17
2017-07-18 15:02 Kunda1 Note Added: 0009771
2017-07-18 18:17 yorik Changeset attached => FreeCAD master 382ad283
2017-07-18 18:17 Changeset attached => FreeCAD master 72dd6dfd
2017-08-13 15:14 Kunda1 Status resolved => closed
2017-08-13 15:14 Kunda1 Note Added: 0009896